Index: main/features.c
===================================================================
--- main/features.c	(revision 284848)
+++ main/features.c	(working copy)
@@ -4217,6 +4217,8 @@
 			}
 		} else if (!strcasecmp(confvar->name, "findslot")) {
 			parkinglot->parkfindnext = (!strcasecmp(confvar->value, "next"));
+		} else if (!strcasecmp(confvar->name, "parkedmusicclass")) {
+			ast_copy_string(parkinglot->mohclass, confvar->value, sizeof(parkinglot->mohclass));
 		} else if (!strcasecmp(confvar->name, "parkedcalltransfers")) {
                         ast_log(LOG_DEBUG, "Setting parking lot %s %s to %s\n", name, confvar->name, confvar->value);
                         if (!strcasecmp(confvar->value, "both"))
@@ -4269,6 +4271,12 @@
 		error = 1;
 	}
 
+	/* Check to make sure parking_con_dial is set */
+	/* In the past it has been neglected and a NULL context has been used */
+	if (ast_strlen_zero(parkinglot->parking_con_dial)) {
+		ast_copy_string(parkinglot->parking_con_dial, "park-dial", sizeof(parkinglot->parking_con_dial));
+	}
+
 	/* Create context */
 	if (!error && !(con = ast_context_find_or_create(NULL, NULL, parkinglot->parking_con, registrar))) {
 		ast_log(LOG_ERROR, "Parking context '%s' does not exist and unable to create\n", parkinglot->parking_con);
